#include <stdio.h>
#include "../winuser.h"
int REALcreate(mmachine m)
{ m->pp+=2;return MMpush(m,NIL); }
int REALgetImage(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int REALdestroy(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int REALblit(mmachine m)
{ m->pp+=2;return MMpush(m,NIL); }
int REALcbImage(mmachine m)
{ m->pp+=3;return MMpush(m,NIL); }
int REALisDone(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int REALcbState(mmachine m)
{ m->pp+=3;return MMpush(m,NIL); }
int REALpause(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int REALplay(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int REALstop(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int REALseek(mmachine m)
{ m->pp+=2;return MMpush(m,NIL); }
int REALisLive(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int REALcreateEx(mmachine m)
{ m->pp+=4;return MMpush(m,NIL); }
int REALsetVolume(mmachine m)
{ m->pp+=2;return MMpush(m,NIL); }
int REALsetMute(mmachine m)
{ m->pp+=2;return MMpush(m,NIL); }
int REALgetVolume(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int REALgetMute(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int REALcreateFromFile(mmachine m)
{ m->pp+=2;return MMpush(m,NIL); }
#define NREALPKG 28
char* REALname[NREALPKG]=
{"RealState","RealBuffering","RealContacting","RealOnBegin","RealOnPause","RealOnStop","RealOnClosed","RealOnOpened","RealPosition","RealStream","REALcreate","REALgetImage","REALdestroy","REALblit","REALcbImage","REALisDone","REALcbState","REALpause","REALplay","REALstop","REALseek","REALisLive","REALcreateEx","REALsetVolume","REALsetMute","REALgetVolume","REALgetMute","REALcreateFromFile"};
int (*REALfun[NREALPKG])(mmachine m)=
{NULL,(void*)0,(void*)2,(void*)4,(void*)6,(void*)8,(void*)10,(void*)12,(void*)14,NULL,REALcreate,REALgetImage,REALdestroy,REALblit,REALcbImage,REALisDone,REALcbState,REALpause,REALplay,REALstop,REALseek,REALisLive,REALcreateEx,REALsetVolume,REALsetMute,REALgetVolume,REALgetMute,REALcreateFromFile};
int REALnarg[NREALPKG]=
{TYPTYPE,TYPCONS,TYPCONS,TYPCONS0,TYPCONS0,TYPCONS0,TYPCONS0,TYPCONS0,TYPCONS,TYPTYPE,2,1,1,2,3,1,3,1,1,1,2,1,4,2,2,1,1,2};
char* REALtype[NREALPKG]=
{NULL,"fun [I] RealState","fun [S] RealState","fun [] RealState","fun [] RealState","fun [] RealState","fun [] RealState","fun [] RealState","fun [[I I]] RealState",NULL,"fun [Chn S] RealStream","fun [RealStream] [I I S]","fun [RealStream] I","fun [ObjBitmap RealStream] ObjBitmap","fun [RealStream fun [RealStream u0] u1 u0] RealStream","fun [RealStream] I","fun [RealStream fun [RealStream u0 RealState] u1 u0] RealStream","fun [RealStream] I","fun [RealStream] I","fun [RealStream] I","fun [RealStream I] I","fun [RealStream] I","fun [Chn S S S] RealStream","fun [RealStream I] I","fun [RealStream I] I","fun [RealStream] I","fun [RealStream] I","fun [Chn P] RealStream"};
int SCOLloadREAL(mmachine m)
{
return PKhardpak(m,"REAL-1.0.pkg",NREALPKG,REALname,REALfun,REALnarg,REALtype);
}
